
Redmine - Defect #21704

mail handler crashes if there are CC entries

2016-01-12 21:51 - Scott Selberg

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.2.0

Description

I've recently updated several instances to Redmine 3.2 and the mail handling is failing

NameError (uninitialized class variable @@handler_options in MailHandler):

app/models/mail_handler.rb:213:in `receive_issue'

app/models/mail_handler.rb:190:in `dispatch_to_default'

app/models/mail_handler.rb:175:in `dispatch'

app/models/mail_handler.rb:150:in `receive'

app/models/mail_handler.rb:49:in `block in receive'

app/models/mail_handler.rb:46:in `receive'

app/controllers/mail_handler_controller.rb:29:in `index'

Line 213 in 'receive_issue' is:

add_watchers(issue)

If I comment this line out, everything works as expected.

I am setup with LDAP for users and have the following pass flags being set: --no-account-notice, --default-group "<MyGroup>

--allow-override=all --no-permission-check --unknown-user create

History

#1 - 2016-01-12 22:00 - Scott Selberg

- Status changed from New to Resolved

OK, this looks like an issue with a plugin rather than redmine.

#2 - 2016-01-13 02:06 - Go MAEDA

- Status changed from Resolved to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

Thanks for the feedback. Closing.
